Conflicting dependencies: - ananicy and ananicy-git are in conflict

I tried to look up a topic about this it did exist but got deleted what do i do about this?

conflicting dependencies:

  • ananicy and ananicy-git are in conflict

I can't download anything until its fixed any help?

3 Likes

how do i get rid of it i tried searching it up came up empty handed?

This means you have to press (y) to replace package-git with package.

how where? do push for a update and do it that way?

yep

:: ananicy und ananicy-git stehen miteinander in Konflikt. ananicy-git entfernen? [j/N] j
:: memavaild und memavaild-git stehen miteinander in Konflikt. memavaild-git entfernen? [j/N] j
:: prelockd und prelockd-git stehen miteinander in Konflikt. prelockd-git entfernen? [j/N] j

For me it is j(a) for y(es)

2 Likes

i just went through the assistant and pressed system update and it didn't prompt me to do that unless im doing it wrong?

Check in terminal

pacman -Qi ananicy
pacman -Qi ananicy-git

no its still on here


[🔴] × pacman -Qi ananicy-git
Name            : ananicy-git
Version         : 2.2.1.r38.g6e2071a-1
Description     : Ananicy - is Another auto nice daemon, with community rules support
Architecture    : any
URL             : https://github.com/Nefelim4ag/Ananicy.git
Licenses        : GPL3
Groups          : None
Provides        : None
Depends On      : systemd  bash  schedtool
Optional Deps   : None
Required By     : garuda-common-settings
Optional For    : None
Conflicts With  : None
Replaces        : None
Installed Size  : 91.47 KiB
Packager        : Pedro Henrique Lara Campos <[email protected]>
Build Date      : Sat 06 Feb 2021 05:02:39 PM EST
Install Date    : Thu 25 Feb 2021 12:07:06 PM EST
Install Reason  : Installed as a dependency for another package
Install Script  : Yes
Validated By    : Signature
sudo pacman -Syu ananicy

then y!


[sudo] password for bam2126:
:: Synchronizing package databases...
core is up to date
extra is up to date
community                               5.5 MiB  2.14 MiB/s 00:03 [------------------------------------] 100%
multilib is up to date
chaotic-aur is up to date
:: Starting full system upgrade...
resolving dependencies...
looking for conflicting packages...
error: unresolvable package conflicts detected
error: failed to prepare transaction (conflicting dependencies)
:: ananicy and ananicy-git are in conflict~~~

???

Please always post in- and output.

If it realy stop at that point i am out.

Start full system update...
Resolve dependencies...
Search for conflicting packages...
:: ananicy and ananicy-git are in conflict. remove ananicy-git? [y/N] y

Start reading and learning the basics of Linux, don't ask how to start, I have the feeling that you want to be fed and are turning into a help vampire.

@bam
sorry, you are not alone, but I must check other DE on my i3wm it work fine.

2 Likes

It work in KDE too.

╭─[email protected] in ~ 
╰─> upd
[sudo] Passwort für sgs:    
################################################################################
################# Arch Linux mirrorlist generated by Reflector #################
################################################################################

# With:       reflector --latest 5 --age 2 --fastest 5 --protocol https --sort rate --save /etc/pacman.d/mirrorlist
# When:       2021-03-16 00:12:23 UTC
# From:       https://www.archlinux.org/mirrors/status/json/
# Retrieved:  2021-03-16 00:12:17 UTC
# Last Check: 2021-03-15 23:40:20 UTC

Server = https://archlinux.mailtunnel.eu/$repo/os/$arch
Server = https://archlinux.thaller.ws/$repo/os/$arch
Server = https://mirror.telepoint.bg/archlinux/$repo/os/$arch
Server = https://mirror.cyberbits.eu/archlinux/$repo/os/$arch
Server = https://europe.mirror.pkgbuild.com/$repo/os/$arch
:: Synchronisiere Paketdatenbanken...
core                                  130,9 KiB  1504 KiB/s 00:00 [------------------------------------] 100%
extra                                1641,9 KiB  6,65 MiB/s 00:00 [------------------------------------] 100%
community                               5,5 MiB  6,47 MiB/s 00:01 [------------------------------------] 100%
multilib                              151,3 KiB  6,43 MiB/s 00:00 [------------------------------------] 100%
chaotic-aur                           947,8 KiB   861 KiB/s 00:01 [------------------------------------] 100%
:: Starte vollständige Systemaktualisierung...
Löse Abhängigkeiten auf...
Suche nach in Konflikt stehenden Paketen...
:: ananicy und ananicy-git stehen miteinander in Konflikt. ananicy-git entfernen? [j/N] j
:: memavaild und memavaild-git stehen miteinander in Konflikt. memavaild-git entfernen? [j/N] j
:: prelockd und prelockd-git stehen miteinander in Konflikt. prelockd-git entfernen? [j/N] j

Pakete (111) ananicy-2.2.1-1  ananicy-git-2.2.1.r41.gee9f517-1 [Entferne]  android-tools-30.0.5-3
attica-5.80.0-1  baloo-5.80.0-1  bluez-qt-5.80.0-1  breeze-icons-5.80.0-1
flameshot-git-r1305.748e152-1  frameworkintegration-5.80.0-1  garuda-browser-settings-1.0.0-1
garuda-common-settings-1.0.0-1  garuda-dr460nized-1.0.0-1  garuda-fish-config-1.0.0-1
garuda-hooks-1.0.0-1  garuda-starship-prompt-1.0.0-1  glslang-11.2.0-3  grpc-1.36.2-2
gtk3-1:3.24.27-4  gtksourceview4-4.8.1-1  kactivities-5.80.0-1  kactivities-stats-5.80.0-1
karchive-5.80.0-1  kauth-5.80.0-1  kbookmarks-5.80.0-1  kcalendarcore-5.80.0-1
kcmutils-5.80.0-1  kcodecs-5.80.0-1  kcompletion-5.80.0-1  kconfig-5.80.0-1
kconfigwidgets-5.80.0-1  kcontacts-1:5.80.0-1  kcoreaddons-5.80.0-1  kcrash-5.80.0-1
kdbusaddons-5.80.0-1  kdeclarative-5.80.0-1  kded-5.80.0-1  kdelibs4support-5.80.0-1
kdesu-5.80.0-1  kdnssd-5.80.0-1  kemoticons-5.80.0-1  kfilemetadata-5.80.0-1
kglobalaccel-5.80.0-1  kguiaddons-5.80.0-1  kholidays-1:5.80.0-1  ki18n-5.80.0-1
kiconthemes-5.80.0-1  kidletime-5.80.0-1  kimageformats-5.80.0-1  kinit-5.80.0-1  kio-5.80.1-1
kirigami2-5.80.0-1  kitemmodels-5.80.0-1  kitemviews-5.80.0-1  kjobwidgets-5.80.0-1
kjs-5.80.0-1  knewstuff-5.80.0-1  knotifications-5.80.0-1  knotifyconfig-5.80.0-1
kpackage-5.80.0-1  kparts-5.80.0-1  kpeople-5.80.0-1  kplotting-5.80.0-1  kpty-5.80.0-1
kquickcharts-5.80.0-1  kross-5.80.0-1  krunner-5.80.0-1  kservice-5.80.0-1  ktexteditor-5.80.0-1
ktextwidgets-5.80.0-1  kunitconversion-5.80.0-1  kvantum-qt5-0.19.0-1  kwallet-5.80.0-1
kwayland-5.80.0-1  kwidgetsaddons-5.80.0-1  kwindowsystem-5.80.0-1  kxmlgui-5.80.0-1
latte-dock-git-r5153.f2cbbba0-1  lib32-systemd-247.4-1  libjcat-0.1.6-1  libmanette-0.2.6-1
libnghttp2-1.43.0-1  libretro-stella2014-git-261.138b970-1  memavaild-0.6-1
memavaild-git-0.6.r3.g2603a8c-1 [Entferne]  minecraft-launcher-921-1
mlocate-0.26.git.20170220-6  modemmanager-qt-5.80.0-1  mumble-1.3.4-3  murmur-1.3.4-3
networkmanager-qt-5.80.0-1  openimageio-2.2.12.0-1  openshadinglanguage-1.11.12.0-1
performance-tweaks-1.0.0-1  plasma-framework-5.80.0-1  prelockd-0.9-1
prelockd-git-0.9.r3.g72c7131-1 [Entferne]  prison-5.80.0-1  protobuf-3.15.6-1  purpose-5.80.0-1
python-markdown-3.3.4-1  qqc2-desktop-style-5.80.0-1  solid-5.80.0-1  sonnet-5.80.0-1
sqlite-3.35.0-1  syntax-highlighting-5.80.0-1  systemd-247.4-2  systemd-libs-247.4-2
systemd-sysvcompat-247.4-2  threadweaver-5.80.0-1  wine-staging-6.4-1  yad-9.0-1

Gesamtgröße des Downloads:           186,42 MiB
Gesamtgröße der installierten Pakete:  944,67 MiB
Größendifferenz der Aktualisierung:    9,38 MiB

:: Installation fortsetzen? [J/n] 
:: Empfange Pakete...
systemd-libs-247.4-2-x86_64                                500,7 KiB  4,01 MiB/s 00:00 [---------------------------------------------------]   0%
sqlite-3.35.0-1-x86_64                                       2,2 MiB  5,51 MiB/s 00:00 [---------------------------------------------------]   1%
libnghttp2-1.43.0-1-x86_64                                   2,3 MiB  5,19 MiB/s 00:00 [---------------------------------------------------]   1%
minecraft-launcher-921-1-x86_64                            186,4 MiB  4,44 MiB/s 00:42 [---------------------------------------------------]  99%
performance-tweaks-1.0.0-1-any                             186,4 MiB  4,37 MiB/s 00:43 
(108/108) Prüfe Schlüssel im Schlüsselring                                              
(108/108) Überprüfe Paket-Integrität                                                    
(108/108) Lade Paket-Dateien                                                            
(108/108) Prüfe auf Dateikonflikte                                                      
(111/111) Überprüfe verfügbaren Festplattenspeicher                                     
:: Starte pre-transaction hooks...
(1/1) Creating Timeshift snapshot before upgrade...
First run mode (config file not found)
Selected default snapshot type: BTRFS
Using system disk as snapshot device for creating snapshots in BTRFS mode
Mounted '/dev/sdb2' at '/run/timeshift/backup'
Creating new backup...(BTRFS)
Saving to device: /dev/sdb2, mounted at path: /run/timeshift/backup
Created directory: /run/timeshift/backup/timeshift-btrfs/snapshots/2021-03-16_01-13-35
Created subvolume snapshot: /run/timeshift/backup/timeshift-btrfs/snapshots/2021-03-16_01-13-35/@
Created control file: /run/timeshift/backup/timeshift-btrfs/snapshots/2021-03-16_01-13-35/info.json
BTRFS Snapshot saved successfully (0s)
Tagged snapshot '2021-03-16_01-13-35': ondemand
------------------------------------------------------------------------------
First run mode (config file not found)
Selected default snapshot type: BTRFS

/dev/sdb2 is mounted at: /run/timeshift/backup, options: rw,relatime,compress=zstd:3,ssd,space_cache,autodefrag,subvolid=5,subvol=/

Selected default snapshot device: /dev/sdb2
------------------------------------------------------------------------------
Removing snapshot: 2021-03-11_22-00-51
Deleting subvolume: @ (Id:288)
Deleted subvolume: @ (Id:288)

Destroying qgroup: 0/288
Destroyed qgroup: 0/288

Deleted directory: /run/timeshift/backup/timeshift-btrfs/snapshots/2021-03-11_22-00-51
Removed snapshot: 2021-03-11_22-00-51
------------------------------------------------------------------------------
Generating grub configuration file ...
Found theme: /usr/share/grub/themes/garuda/theme.txt
Found linux image: /boot/vmlinuz-linux-zen
Found initrd image: /boot/intel-ucode.img /boot/initramfs-linux-zen.img
Found fallback initrd image(s) in /boot: initramfs-linux-zen-fallback.img
Detecting snapshots ...
Info: Separate boot partition not detected 
Found snapshot: 2021-03-16 01:13:35 | timeshift-btrfs/snapshots/2021-03-16_01-13-35/@
Found snapshot: 2021-03-14 02:25:56 | timeshift-btrfs/snapshots/2021-03-14_02-25-56/@
Found snapshot: 2021-03-13 17:13:35 | timeshift-btrfs/snapshots/2021-03-13_17-13-35/@
Found snapshot: 2021-03-12 02:55:18 | timeshift-btrfs/snapshots/2021-03-12_02-55-17/@
Found snapshot: 2021-03-12 02:24:34 | timeshift-btrfs/snapshots/2021-03-12_02-26-38/@
Found snapshot: 2021-03-12 01:06:03 | timeshift-btrfs/snapshots/2021-03-12_01-06-03/@
Found 6 snapshot(s)
Found memtest86+ image: /boot/memtest86+/memtest.bin
done
:: Verarbeite Paketänderungen...
(1/3) Entferne ananicy-git                                                              
(2/3) Entferne memavaild-git                                                            
userdel: user memavaild is currently used by process 515
Fehler: Befehl konnte nicht korrekt ausgeführt werden
(3/3) Entferne prelockd-git                                                             
userdel: user prelockd is currently used by process 519
Fehler: Befehl konnte nicht korrekt ausgeführt werden
(  1/108) Aktualisiere protobuf                                                         
(  2/108) Aktualisiere systemd-libs                                                     
(  3/108) Aktualisiere android-tools                                                    
(  4/108) Aktualisiere sqlite                                                           
(  5/108) Aktualisiere libnghttp2                                                       
(  6/108) Aktualisiere systemd                                                          
Warnung: /etc/systemd/system.conf installiert als /etc/systemd/system.conf.pacnew
Warnung: /etc/systemd/user.conf installiert als /etc/systemd/user.conf.pacnew
(  7/108) Aktualisiere attica                                                           
(  8/108) Aktualisiere ki18n                                                            
(  9/108) Aktualisiere karchive                                                         
( 10/108) Aktualisiere kconfig                                                          
( 11/108) Aktualisiere kcoreaddons                                                      
( 12/108) Aktualisiere kfilemetadata                                                    
( 13/108) Aktualisiere kidletime                                                        
( 14/108) Aktualisiere solid                                                            
( 15/108) Aktualisiere kwidgetsaddons                                                   
( 16/108) Aktualisiere kjobwidgets                                                      
( 17/108) Aktualisiere kdbusaddons                                                      
( 18/108) Aktualisiere kwindowsystem                                                    
( 19/108) Aktualisiere kcrash                                                           
( 20/108) Aktualisiere kglobalaccel                                                     
( 21/108) Aktualisiere kauth                                                            
( 22/108) Aktualisiere kcodecs                                                          
( 23/108) Aktualisiere kguiaddons                                                       
( 24/108) Aktualisiere kconfigwidgets                                                   
( 25/108) Aktualisiere kitemviews                                                       
( 26/108) Aktualisiere kiconthemes                                                      
( 27/108) Aktualisiere kxmlgui                                                          
( 28/108) Aktualisiere kbookmarks                                                       
( 29/108) Aktualisiere knotifications                                                   
( 30/108) Aktualisiere kservice                                                         
( 31/108) Aktualisiere kwallet                                                          
( 32/108) Aktualisiere kcompletion                                                      
( 33/108) Aktualisiere sonnet                                                           
( 34/108) Aktualisiere ktextwidgets                                                     
( 35/108) Aktualisiere kded                                                             
( 36/108) Aktualisiere kio                                                              
( 37/108) Aktualisiere baloo                                                            
( 38/108) Aktualisiere bluez-qt                                                         
( 39/108) Aktualisiere breeze-icons                                                     
( 40/108) Aktualisiere flameshot-git                                                    
( 41/108) Aktualisiere kpackage                                                         
( 42/108) Aktualisiere knewstuff                                                        
( 43/108) Aktualisiere frameworkintegration                                             
( 44/108) Aktualisiere garuda-browser-settings                                          
( 45/108) Aktualisiere garuda-hooks                                                     
===> INFO: grub-tools / grub-fix-initrd-generation:
No changes.
( 46/108) Installiere prelockd                                                          
( 47/108) Installiere memavaild                                                         
( 48/108) Installiere ananicy                                                           
To enable:
$ sudo systemctl enable ananicy
Configs in /etc/ananicy.d/
Optionale Abhängigkeiten für ananicy
systemd: systemd service [Installiert]
( 49/108) Aktualisiere garuda-common-settings                                           
==> Attempting to enable services...
==> Updating font cache...
==> Performing misc postinstall operations...
==> Done!
( 50/108) Aktualisiere kvantum-qt5                                                      
( 51/108) Aktualisiere kactivities                                                      
( 52/108) Aktualisiere kactivities-stats                                                
( 53/108) Aktualisiere kunitconversion                                                  
( 54/108) Aktualisiere kitemmodels                                                      
( 55/108) Aktualisiere kemoticons                                                       
( 56/108) Aktualisiere kparts                                                           
( 57/108) Aktualisiere kdelibs4support                                                  
( 58/108) Aktualisiere kholidays                                                        
( 59/108) Aktualisiere knotifyconfig                                                    
( 60/108) Aktualisiere kpeople                                                          
( 61/108) Aktualisiere kquickcharts                                                     
( 62/108) Aktualisiere syntax-highlighting                                              
( 63/108) Aktualisiere ktexteditor                                                      
( 64/108) Aktualisiere prison                                                           
( 65/108) Aktualisiere kdeclarative                                                     
( 66/108) Aktualisiere kcmutils                                                         
( 67/108) Aktualisiere kpty                                                             
( 68/108) Aktualisiere kdesu                                                            
( 69/108) Aktualisiere kirigami2                                                        
( 70/108) Aktualisiere kwayland                                                         
( 71/108) Aktualisiere plasma-framework                                                 
( 72/108) Aktualisiere threadweaver                                                     
( 73/108) Aktualisiere krunner                                                          
( 74/108) Aktualisiere qqc2-desktop-style                                               
( 75/108) Aktualisiere garuda-dr460nized                                                
==> Updating font cache..
==> Performing misc postinstall operations..
==> Done. Relog to apply changes & unleash the dragon! 🐉
==> To follow user config changes open up Garuda Assistant & hit apply configs.
( 76/108) Aktualisiere garuda-starship-prompt                                           
==> To follow starship config changes execute 'cp /etc/skel/.config/starship.toml ~/.config/starship.toml'
( 77/108) Aktualisiere garuda-fish-config                                               
==> To follow fish config changes execute 'cp /etc/skel/.config/fish/config.fish ~/.config/fish/config.fish'
==> Type 'helpme' to get an interactive cheatsheet for a lot of commands & programming languages
( 78/108) Aktualisiere glslang                                                          
( 79/108) Aktualisiere grpc                                                             
( 80/108) Aktualisiere gtk3                                                             
( 81/108) Aktualisiere gtksourceview4                                                   
( 82/108) Aktualisiere kcalendarcore                                                    
( 83/108) Aktualisiere kcontacts                                                        
( 84/108) Aktualisiere kdnssd                                                           
( 85/108) Aktualisiere kimageformats                                                    
Neue optionale Abhängigkeiten für kimageformats
libheif: HEIF format support [Installiert]
( 86/108) Aktualisiere kinit                                                            
( 87/108) Aktualisiere kjs                                                              
( 88/108) Aktualisiere kplotting                                                        
( 89/108) Aktualisiere kross                                                            
( 90/108) Aktualisiere latte-dock-git                                                   
( 91/108) Aktualisiere lib32-systemd                                                    
( 92/108) Aktualisiere libjcat                                                          
( 93/108) Aktualisiere libmanette                                                       
( 94/108) Aktualisiere libretro-stella2014-git                                          
( 95/108) Aktualisiere minecraft-launcher                                               
( 96/108) Aktualisiere mlocate                                                          
( 97/108) Aktualisiere modemmanager-qt                                                  
( 98/108) Aktualisiere mumble                                                           
( 99/108) Aktualisiere murmur                                                           
(100/108) Aktualisiere networkmanager-qt                                                
(101/108) Aktualisiere openimageio                                                      
(102/108) Aktualisiere openshadinglanguage                                              
(103/108) Aktualisiere performance-tweaks                                               

(104/108) Aktualisiere purpose                                                          
(105/108) Aktualisiere python-markdown                                                  
(106/108) Aktualisiere systemd-sysvcompat                                               
(107/108) Aktualisiere wine-staging                                                     
(108/108) Aktualisiere yad                                                              
:: Starte post-transaction hooks...
( 1/26) sync all file systems
( 2/26) Creating system user accounts...
( 3/26) Registering binary formats...
( 4/26) Updating journal message catalog...
( 5/26) Reloading system manager configuration...
( 6/26) Updating udev hardware database...
( 7/26) Applying kernel sysctl settings...
Not setting net/ipv4/conf/all/rp_filter (explicit setting exists).
Not setting net/ipv4/conf/default/rp_filter (explicit setting exists).
Not setting net/ipv4/conf/all/accept_source_route (explicit setting exists).
Not setting net/ipv4/conf/default/accept_source_route (explicit setting exists).
Not setting net/ipv4/conf/all/promote_secondaries (explicit setting exists).
Not setting net/ipv4/conf/default/promote_secondaries (explicit setting exists).
( 8/26) Creating temporary files...
Failed to write file "/sys/module/pcie_aspm/parameters/policy": Operation not permitted
Fehler: Befehl konnte nicht korrekt ausgeführt werden
( 9/26) Reloading device manager configuration...
(10/26) Arming ConditionNeedsUpdate...
(11/26) Updating linux initcpios...
==> Building image from preset: /etc/mkinitcpio.d/linux-zen.preset: 'default'
-> -k /boot/vmlinuz-linux-zen -c /etc/mkinitcpio.conf -g /boot/initramfs-linux-zen.img
==> Starting build: 5.11.6-zen1-1-zen
-> Running build hook: [base]
-> Running build hook: [udev]
-> Running build hook: [autodetect]
-> Running build hook: [modconf]
-> Running build hook: [block]
==> WARNING: Possibly missing firmware for module: xhci_pci
-> Running build hook: [keyboard]
-> Running build hook: [keymap]
-> Running build hook: [consolefont]
-> Running build hook: [plymouth]
-> Running build hook: [filesystems]
==> Generating module dependencies
==> Creating zstd-compressed initcpio image: /boot/initramfs-linux-zen.img
==> Image generation successful
==> Building image from preset: /etc/mkinitcpio.d/linux-zen.preset: 'fallback'
-> -k /boot/vmlinuz-linux-zen -c /etc/mkinitcpio.conf -g /boot/initramfs-linux-zen-fallback.img -S autodetect
==> Starting build: 5.11.6-zen1-1-zen
-> Running build hook: [base]
-> Running build hook: [udev]
-> Running build hook: [modconf]
-> Running build hook: [block]
==> WARNING: Possibly missing firmware for module: aic94xx
==> WARNING: Possibly missing firmware for module: wd719x
==> WARNING: Possibly missing firmware for module: xhci_pci
-> Running build hook: [keyboard]
-> Running build hook: [keymap]
-> Running build hook: [consolefont]
-> Running build hook: [plymouth]
-> Running build hook: [filesystems]
==> Generating module dependencies
==> Creating zstd-compressed initcpio image: /boot/initramfs-linux-zen-fallback.img
==> Image generation successful
(12/26) Reloading system bus configuration...
(13/26) Foreign/AUR package notification
=> No foreign/AUR packages found.
(14/26) Updating Garuda specific hooks...
(15/26) Compiling GSettings XML schema files...
(16/26) Probing GTK3 input method modules...
(17/26) Updating icon theme caches...
(18/26) Checking for kernel changes...
(19/26) Orphaned package notification...
ebtables 2.0.10_4-8
pacman-pkgfile-hook 1.0.0-1
pacman-sync 1.0.0-1
radvd 2.19-1
tracker3 3.0.3-1
(20/26) Syncing all file systems...
(21/26) Checking for .pacnew and .pacsave files...
.pac* files found:
/etc/pacman.d/mirrorlist.pacnew
/etc/systemd/system.conf.pacnew
/etc/systemd/user.conf.pacnew
Please check and merge
(22/26) Updating pkgfile database...
(23/26) Checking which packages need to be rebuilt
(24/26) Updating the desktop file MIME type cache...
(25/26) Updating the MIME type database...
(26/26) sync all file systems
Parsing man pages and writing completions to /home/sgs/.local/share/fish/generated_completions/
4223 / 4223 : zramctl.8.gz

╭─[email protected] in ~ took 2m7s
╰─>

I am having the same issue, but I am also a linux novice / intermediate, first time using an Arch distribution.

Testing pacman -Syu ananicy

sudo pacman -Syu ananicy
:: Synchronizing package databases...
core is up to date
extra is up to date
community is up to date
multilib is up to date
chaotic-aur                           947.8 KiB   805 KiB/s 00:01 [------------------------------------] 100%
:: Starting full system upgrade...
resolving dependencies...
looking for conflicting packages...
error: unresolvable package conflicts detected
error: failed to prepare transaction (conflicting dependencies)
:: ananicy and ananicy-git are in conflict

Testing pacman -Qi ananicy:

╭─[email protected] in ~ took 3s
[🔴] × pacman -Qi ananicy
error: package 'ananicy' was not found

Testing pacman -Qi ananicy-git had the same result as user above.

I installed garuda yesterday, everything was fine. Did not have this issue.

The assistant (which is using pacman) nor running pacman manually is giving me a prompt asking me if I want to replace ananicy-git with ananicy.

Edit: Tried "upd":

╭─[email protected] in ~ took 20ms
╰─λ upd
[sudo] password for kimbm:          
################################################################################
################# Arch Linux mirrorlist generated by Reflector #################
################################################################################

# With:       reflector --latest 5 --age 2 --fastest 5 --protocol https --sort rate --save /etc/pacman.d/mirrorlist
# When:       2021-03-16 00:26:00 UTC
# From:       https://www.archlinux.org/mirrors/status/json/
# Retrieved:  2021-03-16 00:25:52 UTC
# Last Check: 2021-03-15 23:40:20 UTC

Server = https://archlinux.thaller.ws/$repo/os/$arch
Server = https://europe.mirror.pkgbuild.com/$repo/os/$arch
Server = https://mirror.cyberbits.eu/archlinux/$repo/os/$arch
Server = https://archlinux.mailtunnel.eu/$repo/os/$arch
Server = https://mirror.telepoint.bg/archlinux/$repo/os/$arch
:: Synchronizing package databases...
core is up to date
extra is up to date
community                               5.5 MiB  4.82 MiB/s 00:01 [------------------------------------] 100%
multilib is up to date
chaotic-aur is up to date
:: Starting full system upgrade...
resolving dependencies...
looking for conflicting packages...
error: unresolvable package conflicts detected
error: failed to prepare transaction (conflicting dependencies)
:: ananicy and ananicy-git are in conflict

Still no prompt with y/n.

2 Likes

I'm new to Linux and this distro too, I only installed it about 1h ago and ran into exactly the same problem. I came to look here for a solution and non of those inputs prompt a y/n request as @Acidian describes. So I just went on and tried something and I think it's fixed, at least I no longer get the conflict when trying to install a package.

first, I removed garuda-common-settings, because it blocked me from removing the ananicy-git; which I removed after.

sudo pacman -R garuda-common-settings
sudo pacman -R ananicy-git

Then I used the following command as @SGS replied above.

sudo pacman -Syu ananicy

after it was done I also added back garuda-common-settings.

sudo pacman -Syu garuda-common-settings

And from here on out my package got installed with no conflict. I hope that helps.
I'm not sure if that process broke anything because I'm new to all this myself.

6 Likes

Welcome :slight_smile:

1 Like

Yes, that helps!

I updated my DE's an hour ago without even knowing about this conflict. Now I can't even answer y (a) anymore. What a pity.

1 Like

Thank you @SGS
You're on the team, so solving it that way won't create any issues down the line? Just as confirmation.